diff --git a/imap/util.c b/imap/util.c
index 1532500979..fb8a019920 100644
--- a/imap/util.c
+++ b/imap/util.c
@@ -616,7 +616,6 @@ struct ImapData *imap_new_idata(void)
 {
   struct ImapData *idata = mutt_mem_calloc(1, sizeof(struct ImapData));
 
-  mutt_buffer_init(&idata->cmdbuf);
   idata->cmdslots = ImapPipelineDepth + 2;
   idata->cmds = mutt_mem_calloc(idata->cmdslots, sizeof(*idata->cmds));
   STAILQ_INIT(&idata->flags);
diff --git a/mutt/buffer.c b/mutt/buffer.c
index dc2d67844a..1f35687dc9 100644
--- a/mutt/buffer.c
+++ b/mutt/buffer.c
@@ -28,7 +28,6 @@
  *
  * | Function             | Description
  * | :------------------- | :--------------------------------------------------
- * | mutt_buffer_init()   | Initialise a new Buffer
  * | mutt_buffer_reinit() | Release all memory and reinitialize a Buffer
  * | mutt_buffer_add()    | Add a string to a Buffer, expanding it if necessary
  * | mutt_buffer_addch()  | Add a single character to a Buffer
@@ -86,20 +85,6 @@ void mutt_buffer_reserve(struct Buffer *buf, size_t len)
   }
 }
 
-/**
- * mutt_buffer_init - Initialise a new Buffer
- * @param b Buffer to initialise
- *
- * This must not be called on a Buffer that already contains data.
- */
-void mutt_buffer_init(struct Buffer *buf)
-{
-  if (!buf)
-    return;
-
-  memset(buf, 0, sizeof(struct Buffer));
-}
-
 /**
  * mutt_buffer_reinit - Release all memory and reinitialize a Buffer
  * @param b Buffer to release and reinitialize
@@ -111,7 +96,8 @@ void mutt_buffer_reinit(struct Buffer *buf)
 
   if (buf->data != buf->sso)
     FREE(&buf->data);
-  mutt_buffer_init(buf);
+
+  memset(buf, 0, sizeof(struct Buffer));
 }
 
 /**
@@ -124,7 +110,7 @@ void mutt_buffer_from(struct Buffer *buf, char *seed)
   if (!buf || !seed)
     return;
 
-  mutt_buffer_init(buf);
+  memset(buf, 0, sizeof(struct Buffer));
   mutt_buffer_add(buf, seed, mutt_str_strlen(seed));
 }
 
diff --git a/mutt/buffer.h b/mutt/buffer.h
index 9e17fafccf..222e8b9f73 100644
--- a/mutt/buffer.h
+++ b/mutt/buffer.h
@@ -40,7 +40,6 @@ struct Buffer
 
 #define MoreArgs(p) (*(p)->dptr && (*(p)->dptr != ';') && (*(p)->dptr != '#'))
 
-void mutt_buffer_init(struct Buffer *buf);
 void mutt_buffer_reinit(struct Buffer *buf);
 void mutt_buffer_add(struct Buffer *buf, const char *s, size_t len);
 void mutt_buffer_addch(struct Buffer *buf, char c);
